## org.hibernate.type
Class SortedSetType

    java.lang.Object
      org.hibernate.type.AbstractType
          org.hibernate.type.CollectionType
              org.hibernate.type.SetType
                  org.hibernate.type.SortedSetType

All Implemented Interfaces:
  Serializable, AssociationType, Type

    public class SortedSetType

extends SetType

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.type.CollectionType
`UNFETCHED_COLLECTION`

Constructor Summary
`SortedSetType(TypeFactory.TypeScope typeScope, String role, String propertyRef, Comparator comparator, boolean isEmbeddedInXML)`

Method Summary
`Class` `getReturnedClass()` The class returned by `Type.nullSafeGet(java.sql.ResultSet, java.lang.String[], org.hibernate.engine.SessionImplementor, java.lang.Object)` methods.
`Object` `instantiate(int anticipatedSize)` Instantiate an empty instance of the "underlying" collection (not a wrapper), but with the given anticipated size (i.e.
`PersistentCollection` `instantiate(SessionImplementor session, CollectionPersister persister, Serializable key)` Instantiate an uninitialized collection wrapper or holder.
`PersistentCollection` `wrap(SessionImplementor session, Object collection)` Wrap the naked collection instance in a wrapper, or instantiate a holder.

Methods inherited from class org.hibernate.type.CollectionType

`assemble, compare, contains, deepCopy, disassemble, fromXMLNode, getAssociatedEntityName, getAssociatedJoinable, getCollection, getColumnSpan, getElementsIterator, getElementsIterator, getElementType, getForeignKeyDirection, getHashCode, getIdOfOwnerOrNull, getKeyOfOwner, getLHSPropertyName, getName, getOnCondition, getRHSUniqueKeyPropertyName, getRole, hasHolder, hydrate, indexOf, initializeImmediately, instantiateResult, isAlwaysDirtyChecked, isArrayType, isAssociationType, isCollectionType, isDirty, isDirty, isEmbeddedInXML, isEqual, isModified, isMutable, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, renderLoggableString, replace, replaceElements, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toString, useLHSPrimaryKey`

Methods inherited from class org.hibernate.type.AbstractType
`beforeAssemble, getHashCode, getSemiResolvedType, isAnyType, isComponentType, isEntityType, isEqual, isSame, replace, replaceNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.type.Type
`beforeAssemble, getHashCode, getSemiResolvedType, isAnyType, isComponentType, isEntityType, isEqual, isSame, replace`

Constructor Detail

### SortedSetType

    public SortedSetType(TypeFactory.TypeScope typeScope,
                         String role,
                         String propertyRef,
                         Comparator comparator,
                         boolean isEmbeddedInXML)

Method Detail

### instantiate

    public PersistentCollection instantiate(SessionImplementor session,
                                            CollectionPersister persister,
                                            Serializable key)

  Description copied from class: `CollectionType`
  Instantiate an uninitialized collection wrapper or holder. Callers MUST add the holder to the persistence context!

  Overrides:
    `instantiate` in class `SetType`
  Parameters:
    `session` - The session from which the request is originating.
    `persister` - The underlying collection persister (metadata)
    `key` - The owner key.
  Returns:
    The instantiated collection.

### getReturnedClass

    public Class getReturnedClass()

  Description copied from interface: `Type`
  The class returned by `Type.nullSafeGet(java.sql.ResultSet, java.lang.String[], org.hibernate.engine.SessionImplementor, java.lang.Object)` methods. This is used to establish the class of an array of this type.

  Specified by:
    `getReturnedClass` in interface `Type`
  Overrides:
    `getReturnedClass` in class `SetType`
  Returns:
    The java type class handled by this type.

### instantiate

    public Object instantiate(int anticipatedSize)

  Description copied from class: `CollectionType`
  Instantiate an empty instance of the "underlying" collection (not a wrapper), but with the given anticipated size (i.e. accounting for initial capacity and perhaps load factor).

  Overrides:
    `instantiate` in class `SetType`
  Parameters:
    `anticipatedSize` - The anticipated size of the instaniated collection after we are done populating it.
  Returns:
    A newly instantiated collection to be wrapped.

### wrap

    public PersistentCollection wrap(SessionImplementor session,
                                     Object collection)

  Description copied from class: `CollectionType`
  Wrap the naked collection instance in a wrapper, or instantiate a holder. Callers MUST add the holder to the persistence context!

  Overrides:
    `wrap` in class `SetType`
  Parameters:
    `session` - The session from which the request is originating.
    `collection` - The bare collection to be wrapped.
  Returns:
    The wrapped collection.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.